#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
package=crystalhd-firmware
version=3.6.9

pushd "$tmp"
unzip ${pwd}/crystalhd_${version}.zip
mkdir -p ${package}-${version}
mv CrystalHD_${version}.64/Windows/system32/drivers/bcm*fw.bin ${package}-${version}
tar cJf ${pwd}/${package}-${version}.tar.xz ${package}-${version}
popd >/dev/null
